#include <bits/stdc++.h>
using namespace std;

int n, o1, o2, brS;
int zlatnici[200005][2];
int redoviKorisceni[200005];
int koloneKoriscene[200005];

int main()
{
    scanf("%d", &n);
    for (int i = 1; i <= n; ++i)
    {
        scanf("%d %d", &zlatnici[i][0], &zlatnici[i][1]);
        ++redoviKorisceni[zlatnici[i][0]];
        ++koloneKoriscene[zlatnici[i][1]];
    }
    for (int i = 1; i <= n; ++i)
    {
        if (redoviKorisceni[i] == 0)
        {
            o1 = -1;
            o2 = -1;
            for (int j = i+1; j <= n; ++j)
            {
                if (redoviKorisceni[j] > 1)
                {
                    o1 = j-i;
                }
            }
            for (int j = i-1; j >= 1; --j)
            {
                if (redoviKorisceni[j] > 1)
                {
                    o2 = i-j;
                }
            }
            if (o1 == -1)
            {

                brS+=o2;
            }
            else if (o2 == -1)
            {

                brS+=o1;
            }
            else if (o1 < o2)
            {

                brS+=o1;
            }
            else
            {
                brS+=o2;
            }
        }
        if (koloneKoriscene[i] == 0)
        {
            o1 = -1;
            o2 = -1;
            for (int j = i+1; j <= n; ++j)
            {
                if (koloneKoriscene[j] > 1)
                {
                    o1 = j-i;
                }
            }
            for (int j = i-1; j >= 1; --j)
            {
                if (koloneKoriscene[j] > 1)
                {
                    o2 = i-j;
                }
            }
            if (o1 == -1)
            {

                brS+=o2;
            }
            else if (o2 == -1)
            {

                brS+=o1;
            }
            else if (o1 < o2)
            {

                brS+=o1;
            }
            else
            {
                brS+=o2;
            }
        }
    }
    printf("%d\n", brS);
    return 0;
}